<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='RealConv' id=''>
  <oberon-doc>
    <summary>The regular expression for a signed fixed-point real number is <samp>[+-]?\d+(\.\d* )?</samp>.</summary>
    <p pad-after='yes' no-indent='yes'>The regular expression for a signed fixed-point real number is <samp>[+-]?\d+(\.\d* )?</samp>.  For the optional exponent part, it is <samp>E[+-]?\d+</samp>.</p>
  </oberon-doc>
  <import-decl name='ConvTypes' id='ConvTypes' export='no' module='ConvTypes'/>
  <type-decl name='ConvResults' id='ConvResults' export='yes'>
    <oberon-doc>
      <summary>One of <oberon-const href='#strAllRight'>strAllRight</oberon-const>, <oberon-const href='#strOutOfRange'>strOutOfRange</oberon-const>, <oberon-const href='#strWrongFormat'>strWrongFormat</oberon-const>, or <oberon-const href='#strEmpty'>strEmpty</oberon-const>.</summary>
      <p pad-after='yes' no-indent='yes'>One of <oberon-const href='#strAllRight'>strAllRight</oberon-const>, <oberon-const href='#strOutOfRange'>strOutOfRange</oberon-const>, <oberon-const href='#strWrongFormat'>strWrongFormat</oberon-const>, or <oberon-const href='#strEmpty'>strEmpty</oberon-const>.</p>
    </oberon-doc>
    <type>
      <type-name module='ConvTypes' name='ConvResults' href='ConvTypes#ConvResults'/>
    </type>
  </type-decl>
  <const-decl name='strAllRight' id='strAllRight' export='yes' value='unknown'>
    <oberon-doc>
      <summary>The string format is correct for the corresponding conversion.</summary>
      <p pad-after='yes' no-indent='yes'>The string format is correct for the corresponding conversion.</p>
    </oberon-doc>
  </const-decl>
  <const-decl name='strOutOfRange' id='strOutOfRange' export='yes' value='unknown'>
    <oberon-doc>
      <summary>The string is well-formed but the value cannot be represented.</summary>
      <p pad-after='yes' no-indent='yes'>The string is well-formed but the value cannot be represented.</p>
    </oberon-doc>
  </const-decl>
  <const-decl name='strWrongFormat' id='strWrongFormat' export='yes' value='unknown'>
    <oberon-doc>
      <summary>The string is in the wrong format for the conversion.</summary>
      <p pad-after='yes' no-indent='yes'>The string is in the wrong format for the conversion.</p>
    </oberon-doc>
  </const-decl>
  <const-decl name='strEmpty' id='strEmpty' export='yes' value='unknown'>
    <oberon-doc>
      <summary>The given string is empty.</summary>
      <p pad-after='yes' no-indent='yes'>The given string is empty.</p>
    </oberon-doc>
  </const-decl>
  <procedure name='ScanReal' id='ScanReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='inputCh' id='ScanReal.inputCh' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
      <parameter-decl name='chClass' id='ScanReal.chClass' export='no' variable-parameter='yes'>
        <type>
          <type-name module='ConvTypes' name='ScanClass' href='ConvTypes#ScanClass'/>
        </type>
      </parameter-decl>
      <parameter-decl name='nextState' id='ScanReal.nextState' export='no' variable-parameter='yes'>
        <type>
          <type-name module='ConvTypes' name='ScanState' href='ConvTypes#ScanState'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='FormatReal' id='FormatReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='FormatReal.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='ConvResults'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='ValueReal' id='ValueReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='ValueReal.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='REAL'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='LengthFloatReal' id='LengthFloatReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='real' id='LengthFloatReal.real' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='REAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='sigFigs' id='LengthFloatReal.sigFigs' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='INTEGER'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='LengthEngReal' id='LengthEngReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='real' id='LengthEngReal.real' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='REAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='sigFigs' id='LengthEngReal.sigFigs' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='INTEGER'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='LengthFixedReal' id='LengthFixedReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='real' id='LengthFixedReal.real' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='REAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='place' id='LengthFixedReal.place' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='INTEGER'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <module-ref name='ConvTypes'>
    <ref-target type='html' relative-uri='ConvTypes.html'/>
  </module-ref>
</interface-description>
